/******************************************************************************************************************************************
   Servo.c - Pan & Tilt Motor Test

   Date: March 2015

   Configuration:
       MCU:                STM32F415RG
       Development Board:  Mini-M4 for STM32
       Crystal Oscillator: 16 MHz
       System Clock:       120 MHz
       Compiler:           mikroC PRO for ARM version 4.5.0
       Program Loader:     USB_HID Bootloader
       Power:              USB cable

*******************************************************************************************************************************************
       Note1: For this test, I am using general purpose timer 3.
       Note2: Timer 3 Channel 1 on PB4 is used for the Pan motor PWM signal
       Note3: Timer 3 Channel 2 on PB5 is used for the Tilt motor PWM signal

*/




#include "USB_Driver.h"
#include "Timers.h"
#include "LED.h"












void main() {
     USB_Init();                   // Intitialize USB
     TimerInit();                  // Initialize timer
     LED_Initialize();             // Intitialize LEDs
     Timer3_Initialize();          // Initialize PWM
     
     EnableInterrupts();           // Enable interrupts
     
     while(1) {

          USB_CheckIn();           // Check for incoming USB messages
          USB_CheckOut();          // Check for outgoing USB messages
          TimerCheck();            // Check timer one second event
     }
     
}