_SystemTimerInterrupt:
;Timers.c,34 :: 		void SystemTimerInterrupt() iv IVT_INT_SysTick ics ICS_AUTO {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;Timers.c,35 :: 		if (COUNTFLAG_bit) {              // Interrupts every millisecond
MOVW	R0, #lo_addr(COUNTFLAG_bit+0)
MOVT	R0, #hi_addr(COUNTFLAG_bit+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, BitPos(COUNTFLAG_bit+0), #1
CMP	R0, #0
IT	EQ
BEQ	L_SystemTimerInterrupt0
;Timers.c,36 :: 		irqhandler_timer();           // Service timer pool
BL	_irqhandler_timer+0
;Timers.c,38 :: 		Msec += 1;                    // Increment millisecond counter
MOVW	R2, #lo_addr(_Msec+0)
MOVT	R2, #hi_addr(_Msec+0)
LDRSH	R0, [R2, #0]
ADDS	R1, R0, #1
SXTH	R1, R1
STRH	R1, [R2, #0]
;Timers.c,39 :: 		if (Msec > 999) {             // When counter goes to 1000
MOVW	R0, #999
CMP	R1, R0
IT	LE
BLE	L_SystemTimerInterrupt1
;Timers.c,40 :: 		Msec = 0;                 // Set it to 0
MOVS	R1, #0
SXTH	R1, R1
MOVW	R0, #lo_addr(_Msec+0)
MOVT	R0, #hi_addr(_Msec+0)
STRH	R1, [R0, #0]
;Timers.c,41 :: 		TimerFlag = 1;            // Set 1 second flag
MOVS	R1, #1
SXTH	R1, R1
MOVW	R0, #lo_addr(_TimerFlag+0)
MOVT	R0, #hi_addr(_TimerFlag+0)
STRH	R1, [R0, #0]
;Timers.c,42 :: 		}
L_SystemTimerInterrupt1:
;Timers.c,43 :: 		}
L_SystemTimerInterrupt0:
;Timers.c,44 :: 		}
L_end_SystemTimerInterrupt:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _SystemTimerInterrupt
_TimerInit:
;Timers.c,48 :: 		void TimerInit() {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;Timers.c,49 :: 		init_timerpool();                 // Make all timers free
BL	_init_timerpool+0
;Timers.c,53 :: 		NVIC_SYSTICKRVR = 15000;          // Set reload value register for 120MHz clock
MOVW	R1, #15000
MOVW	R0, #lo_addr(NVIC_SYSTICKRVR+0)
MOVT	R0, #hi_addr(NVIC_SYSTICKRVR+0)
STR	R1, [R0, #0]
;Timers.c,55 :: 		NVIC_SYSTICKCVR = 0;              // Reset timer counter
MOVS	R1, #0
MOVW	R0, #lo_addr(NVIC_SYSTICKCVR+0)
MOVT	R0, #hi_addr(NVIC_SYSTICKCVR+0)
STR	R1, [R0, #0]
;Timers.c,56 :: 		ENABLE_SYSTICKCSR_bit = 1;        // Enable timer
MOVS	R2, #1
SXTB	R2, R2
MOVW	R1, #lo_addr(ENABLE_SYSTICKCSR_bit+0)
MOVT	R1, #hi_addr(ENABLE_SYSTICKCSR_bit+0)
LDR	R0, [R1, #0]
BFI	R0, R2, BitPos(ENABLE_SYSTICKCSR_bit+0), #1
STR	R0, [R1, #0]
;Timers.c,57 :: 		TICKINT_bit = 1;                  // Enable timer interrupt
MOVW	R1, #lo_addr(TICKINT_bit+0)
MOVT	R1, #hi_addr(TICKINT_bit+0)
LDR	R0, [R1, #0]
BFI	R0, R2, BitPos(TICKINT_bit+0), #1
STR	R0, [R1, #0]
;Timers.c,58 :: 		}
L_end_TimerInit:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _TimerInit
_TimerCheck:
;Timers.c,62 :: 		void TimerCheck() {
SUB	SP, SP, #4
;Timers.c,63 :: 		if (TimerFlag == 1) {
MOVW	R0, #lo_addr(_TimerFlag+0)
MOVT	R0, #hi_addr(_TimerFlag+0)
LDRSH	R0, [R0, #0]
CMP	R0, #1
IT	NE
BNE	L_TimerCheck2
;Timers.c,64 :: 		TimerFlag = 0;                // Reset 1 second flag
MOVS	R1, #0
SXTH	R1, R1
MOVW	R0, #lo_addr(_TimerFlag+0)
MOVT	R0, #hi_addr(_TimerFlag+0)
STRH	R1, [R0, #0]
;Timers.c,66 :: 		}
L_TimerCheck2:
;Timers.c,67 :: 		}
L_end_TimerCheck:
ADD	SP, SP, #4
BX	LR
; end of _TimerCheck
_init_timerpool:
;Timers.c,98 :: 		void init_timerpool(void) {
SUB	SP, SP, #4
;Timers.c,101 :: 		for (i=0; i < NUMTIMERS; i++) {
; i start address is: 8 (R2)
MOVS	R2, #0
; i end address is: 8 (R2)
L_init_timerpool3:
; i start address is: 8 (R2)
CMP	R2, #10
IT	CS
BCS	L_init_timerpool4
;Timers.c,102 :: 		TimerPool[i].TimerField = 0;
LSLS	R1, R2, #3
MOVW	R0, #lo_addr(_TimerPool+0)
MOVT	R0, #hi_addr(_TimerPool+0)
ADDS	R1, R0, R1
MOVS	R0, #0
STR	R0, [R1, #0]
;Timers.c,103 :: 		TimerPool[i].Free = TRUE;
LSLS	R1, R2, #3
MOVW	R0, #lo_addr(_TimerPool+0)
MOVT	R0, #hi_addr(_TimerPool+0)
ADDS	R0, R0, R1
ADDS	R1, R0, #4
MOVS	R0, #1
STRB	R0, [R1, #0]
;Timers.c,101 :: 		for (i=0; i < NUMTIMERS; i++) {
ADDS	R2, R2, #1
UXTB	R2, R2
;Timers.c,104 :: 		}
; i end address is: 8 (R2)
IT	AL
BAL	L_init_timerpool3
L_init_timerpool4:
;Timers.c,105 :: 		}
L_end_init_timerpool:
ADD	SP, SP, #4
BX	LR
; end of _init_timerpool
_get_timer:
;Timers.c,113 :: 		unsigned short int get_timer(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;Timers.c,116 :: 		for (i=0; i < NUMTIMERS; i++) {
; i start address is: 8 (R2)
MOVS	R2, #0
; i end address is: 8 (R2)
L_get_timer6:
; i start address is: 8 (R2)
CMP	R2, #10
IT	CS
BCS	L_get_timer7
;Timers.c,117 :: 		if (TimerPool[i].Free == TRUE) {  // If a free timer is found
LSLS	R1, R2, #3
MOVW	R0, #lo_addr(_TimerPool+0)
MOVT	R0, #hi_addr(_TimerPool+0)
ADDS	R0, R0, R1
ADDS	R0, R0, #4
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	NE
BNE	L_get_timer9
;Timers.c,118 :: 		TimerPool[i].Free = FALSE;    // Mark it reserved
LSLS	R1, R2, #3
MOVW	R0, #lo_addr(_TimerPool+0)
MOVT	R0, #hi_addr(_TimerPool+0)
ADDS	R0, R0, R1
ADDS	R1, R0, #4
MOVS	R0, #0
STRB	R0, [R1, #0]
;Timers.c,119 :: 		return i;                     // Return timer handle
UXTB	R0, R2
; i end address is: 8 (R2)
IT	AL
BAL	L_end_get_timer
;Timers.c,120 :: 		}
L_get_timer9:
;Timers.c,116 :: 		for (i=0; i < NUMTIMERS; i++) {
; i start address is: 8 (R2)
ADDS	R2, R2, #1
UXTB	R2, R2
;Timers.c,121 :: 		}
; i end address is: 8 (R2)
IT	AL
BAL	L_get_timer6
L_get_timer7:
;Timers.c,124 :: 		USB_PutQueue("TIMERS: No Timers, Resetting..\r\n");
MOVW	R0, #lo_addr(?lstr1_Timers+0)
MOVT	R0, #hi_addr(?lstr1_Timers+0)
BL	_USB_PutQueue+0
;Timers.c,126 :: 		SystemReset();
BL	_SystemReset+0
;Timers.c,127 :: 		return (0);
MOVS	R0, #0
;Timers.c,128 :: 		}
L_end_get_timer:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _get_timer
_free_timer:
;Timers.c,136 :: 		void free_timer(unsigned short int nbr) {
; nbr start address is: 0 (R0)
SUB	SP, SP, #4
; nbr end address is: 0 (R0)
; nbr start address is: 0 (R0)
;Timers.c,137 :: 		if (nbr > (NUMTIMERS-1))          // Make a simple check
CMP	R0, #9
IT	LS
BLS	L_free_timer10
; nbr end address is: 0 (R0)
;Timers.c,138 :: 		return;
IT	AL
BAL	L_end_free_timer
L_free_timer10:
;Timers.c,140 :: 		TimerPool[nbr].Free = TRUE;
; nbr start address is: 0 (R0)
LSLS	R2, R0, #3
; nbr end address is: 0 (R0)
MOVW	R1, #lo_addr(_TimerPool+0)
MOVT	R1, #hi_addr(_TimerPool+0)
ADDS	R1, R1, R2
ADDS	R2, R1, #4
MOVS	R1, #1
STRB	R1, [R2, #0]
;Timers.c,141 :: 		}
L_end_free_timer:
ADD	SP, SP, #4
BX	LR
; end of _free_timer
_set_timer:
;Timers.c,150 :: 		void set_timer(unsigned short int nbr, unsigned long int tout) {
; tout start address is: 4 (R1)
; nbr start address is: 0 (R0)
SUB	SP, SP, #4
; tout end address is: 4 (R1)
; nbr end address is: 0 (R0)
; nbr start address is: 0 (R0)
; tout start address is: 4 (R1)
;Timers.c,151 :: 		if (nbr > (NUMTIMERS-1))          // Make a simple check
CMP	R0, #9
IT	LS
BLS	L_set_timer11
; nbr end address is: 0 (R0)
; tout end address is: 4 (R1)
;Timers.c,152 :: 		return;
IT	AL
BAL	L_end_set_timer
L_set_timer11:
;Timers.c,154 :: 		if (TimerPool[nbr].Free == TRUE)
; tout start address is: 4 (R1)
; nbr start address is: 0 (R0)
LSLS	R3, R0, #3
MOVW	R2, #lo_addr(_TimerPool+0)
MOVT	R2, #hi_addr(_TimerPool+0)
ADDS	R2, R2, R3
ADDS	R2, R2, #4
LDRB	R2, [R2, #0]
CMP	R2, #1
IT	NE
BNE	L_set_timer12
; nbr end address is: 0 (R0)
; tout end address is: 4 (R1)
;Timers.c,155 :: 		return;
IT	AL
BAL	L_end_set_timer
L_set_timer12:
;Timers.c,157 :: 		TimerPool[nbr].TimerField = tout;
; tout start address is: 4 (R1)
; nbr start address is: 0 (R0)
LSLS	R3, R0, #3
; nbr end address is: 0 (R0)
MOVW	R2, #lo_addr(_TimerPool+0)
MOVT	R2, #hi_addr(_TimerPool+0)
ADDS	R2, R2, R3
STR	R1, [R2, #0]
; tout end address is: 4 (R1)
;Timers.c,158 :: 		}
L_end_set_timer:
ADD	SP, SP, #4
BX	LR
; end of _set_timer
_check_timer:
;Timers.c,166 :: 		unsigned long int check_timer(unsigned short int nbr) {
; nbr start address is: 0 (R0)
SUB	SP, SP, #4
; nbr end address is: 0 (R0)
; nbr start address is: 0 (R0)
;Timers.c,167 :: 		return TimerPool[nbr].TimerField;
LSLS	R2, R0, #3
; nbr end address is: 0 (R0)
MOVW	R1, #lo_addr(_TimerPool+0)
MOVT	R1, #hi_addr(_TimerPool+0)
ADDS	R1, R1, R2
LDR	R1, [R1, #0]
MOV	R0, R1
;Timers.c,168 :: 		}
L_end_check_timer:
ADD	SP, SP, #4
BX	LR
; end of _check_timer
_irqhandler_timer:
;Timers.c,176 :: 		void irqhandler_timer(void) {
SUB	SP, SP, #4
;Timers.c,179 :: 		for (i=0; i<NUMTIMERS; i++) {
; i start address is: 8 (R2)
MOVS	R2, #0
; i end address is: 8 (R2)
L_irqhandler_timer13:
; i start address is: 8 (R2)
CMP	R2, #10
IT	CS
BCS	L_irqhandler_timer14
;Timers.c,180 :: 		if (TimerPool[i].Free == FALSE && TimerPool[i].TimerField != 0)
LSLS	R1, R2, #3
MOVW	R0, #lo_addr(_TimerPool+0)
MOVT	R0, #hi_addr(_TimerPool+0)
ADDS	R0, R0, R1
ADDS	R0, R0, #4
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	NE
BNE	L__irqhandler_timer37
LSLS	R1, R2, #3
MOVW	R0, #lo_addr(_TimerPool+0)
MOVT	R0, #hi_addr(_TimerPool+0)
ADDS	R0, R0, R1
LDR	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L__irqhandler_timer36
L__irqhandler_timer35:
;Timers.c,181 :: 		TimerPool[i].TimerField--;
LSLS	R1, R2, #3
MOVW	R0, #lo_addr(_TimerPool+0)
MOVT	R0, #hi_addr(_TimerPool+0)
ADDS	R1, R0, R1
LDR	R0, [R1, #0]
SUBS	R0, R0, #1
STR	R0, [R1, #0]
;Timers.c,180 :: 		if (TimerPool[i].Free == FALSE && TimerPool[i].TimerField != 0)
L__irqhandler_timer37:
L__irqhandler_timer36:
;Timers.c,179 :: 		for (i=0; i<NUMTIMERS; i++) {
ADDS	R2, R2, #1
UXTB	R2, R2
;Timers.c,182 :: 		}
; i end address is: 8 (R2)
IT	AL
BAL	L_irqhandler_timer13
L_irqhandler_timer14:
;Timers.c,183 :: 		}
L_end_irqhandler_timer:
ADD	SP, SP, #4
BX	LR
; end of _irqhandler_timer
_Timer6Interrupt:
;Timers.c,199 :: 		void Timer6Interrupt() iv IVT_INT_TIM6_DAC ics ICS_AUTO {
SUB	SP, SP, #4
;Timers.c,200 :: 		UIF_TIM6_SR_bit = 0;  // Clear Update Interrupt Flag in TIM6_SR
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(UIF_TIM6_SR_bit+0)
MOVT	R0, #hi_addr(UIF_TIM6_SR_bit+0)
STR	R1, [R0, #0]
;Timers.c,206 :: 		}
L_end_Timer6Interrupt:
ADD	SP, SP, #4
BX	LR
; end of _Timer6Interrupt
_Timer6_Initialize:
;Timers.c,210 :: 		void Timer6_Initialize(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;Timers.c,211 :: 		TIM6EN_bit = 1;           // Enable TIM6 clock in RCC_APB1ENR
MOVS	R3, #1
SXTB	R3, R3
MOVW	R0, #lo_addr(TIM6EN_bit+0)
MOVT	R0, #hi_addr(TIM6EN_bit+0)
STR	R3, [R0, #0]
;Timers.c,232 :: 		TIM6_PSC = 99;            // Set the prscaler to 99 (99 + 1 = divide by 100)
MOVS	R1, #99
MOVW	R0, #lo_addr(TIM6_PSC+0)
MOVT	R0, #hi_addr(TIM6_PSC+0)
STR	R1, [R0, #0]
;Timers.c,233 :: 		TIM6_ARR = 10;            // Set the auto-reload register to 10
MOVS	R1, #10
MOVW	R0, #lo_addr(TIM6_ARR+0)
MOVT	R0, #hi_addr(TIM6_ARR+0)
STR	R1, [R0, #0]
;Timers.c,235 :: 		TIM6_CR2bits.MMS = 0x2;   // Update event is selected as a trigger output (TRGO) in TIM6_CR2
MOVS	R2, #2
MOVW	R1, #lo_addr(TIM6_CR2bits+0)
MOVT	R1, #hi_addr(TIM6_CR2bits+0)
LDRB	R0, [R1, #0]
BFI	R0, R2, #4, #3
STRB	R0, [R1, #0]
;Timers.c,236 :: 		CEN_TIM6_CR1_bit = 1;     // Enable counter in TIM6_CR1
MOVW	R0, #lo_addr(CEN_TIM6_CR1_bit+0)
MOVT	R0, #hi_addr(CEN_TIM6_CR1_bit+0)
STR	R3, [R0, #0]
;Timers.c,237 :: 		UIE_TIM6_DIER_bit = 1;    // Enable TIM6 interrupts in TIM6_DIER
MOVW	R0, #lo_addr(UIE_TIM6_DIER_bit+0)
MOVT	R0, #hi_addr(UIE_TIM6_DIER_bit+0)
STR	R3, [R0, #0]
;Timers.c,238 :: 		NVIC_IntEnable(IVT_INT_TIM6_DAC);  // Allow interrupts in NVIC
MOVW	R0, #70
BL	_NVIC_IntEnable+0
;Timers.c,239 :: 		}
L_end_Timer6_Initialize:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _Timer6_Initialize
_Timer7Interrupt:
;Timers.c,243 :: 		void Timer7Interrupt() iv IVT_INT_TIM7 ics ICS_AUTO {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;Timers.c,244 :: 		UIF_TIM7_SR_bit = 0;  // Clear Update Interrupt Flag in TIM7_SR
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(UIF_TIM7_SR_bit+0)
MOVT	R0, #hi_addr(UIF_TIM7_SR_bit+0)
STR	R1, [R0, #0]
;Timers.c,245 :: 		USB_PutQueue("Timer 7 interrupt\r\n");  // Diagnostic
MOVW	R0, #lo_addr(?lstr2_Timers+0)
MOVT	R0, #hi_addr(?lstr2_Timers+0)
BL	_USB_PutQueue+0
;Timers.c,246 :: 		}
L_end_Timer7Interrupt:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _Timer7Interrupt
_Timer7_Initialize:
;Timers.c,250 :: 		void Timer7_Initialize(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;Timers.c,251 :: 		TIM7EN_bit = 1;           // Enable TIM7 clock in RCC_APB1ENR
MOVS	R3, #1
SXTB	R3, R3
MOVW	R0, #lo_addr(TIM7EN_bit+0)
MOVT	R0, #hi_addr(TIM7EN_bit+0)
STR	R3, [R0, #0]
;Timers.c,252 :: 		TIM7_PSC = 5999;          // Set the prescaler register to divide by 5999+1=6000
MOVW	R1, #5999
MOVW	R0, #lo_addr(TIM7_PSC+0)
MOVT	R0, #hi_addr(TIM7_PSC+0)
STR	R1, [R0, #0]
;Timers.c,253 :: 		TIM7_ARR = 10000;         // Set the auto-reload register to time out in 1 second
MOVW	R1, #10000
MOVW	R0, #lo_addr(TIM7_ARR+0)
MOVT	R0, #hi_addr(TIM7_ARR+0)
STR	R1, [R0, #0]
;Timers.c,254 :: 		TIM7_CR2bits.MMS = 0x2;   // Update event is selected as a trigger output (TRGO) in TIM7_CR2
MOVS	R2, #2
MOVW	R1, #lo_addr(TIM7_CR2bits+0)
MOVT	R1, #hi_addr(TIM7_CR2bits+0)
LDRB	R0, [R1, #0]
BFI	R0, R2, #4, #3
STRB	R0, [R1, #0]
;Timers.c,255 :: 		CEN_TIM7_CR1_bit = 1;     // Enable counter in TIM7_CR1
MOVW	R0, #lo_addr(CEN_TIM7_CR1_bit+0)
MOVT	R0, #hi_addr(CEN_TIM7_CR1_bit+0)
STR	R3, [R0, #0]
;Timers.c,256 :: 		UIE_TIM7_DIER_bit = 1;    // Enable TIM7 interrupts in TIM7_DIER
MOVW	R0, #lo_addr(UIE_TIM7_DIER_bit+0)
MOVT	R0, #hi_addr(UIE_TIM7_DIER_bit+0)
STR	R3, [R0, #0]
;Timers.c,257 :: 		NVIC_IntEnable(IVT_INT_TIM7);  // Allow interrupts in NVIC
MOVW	R0, #71
BL	_NVIC_IntEnable+0
;Timers.c,258 :: 		}
L_end_Timer7_Initialize:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _Timer7_Initialize
_Timer3_Initialize:
;Timers.c,285 :: 		void Timer3_Initialize(void){
SUB	SP, SP, #8
STR	LR, [SP, #0]
;Timers.c,289 :: 		Ratio = PWM_TIM3_Init(50);  // Set frequency to 50Hz or period to 20ms
MOVS	R0, #50
BL	_PWM_TIM3_Init+0
STRH	R0, [SP, #4]
;Timers.c,291 :: 		PWM_TIM3_Set_Duty(ratio/2, _PWM_NON_INVERTED, _PWM_CHANNEL1);  // Set duty cycle to one-half of period
LSRS	R0, R0, #1
MOVS	R2, #0
MOVS	R1, #0
BL	_PWM_TIM3_Set_Duty+0
;Timers.c,292 :: 		PWM_TIM3_Start(_PWM_CHANNEL1, &_GPIO_MODULE_TIM3_CH1_PB4);
MOVW	R1, #lo_addr(__GPIO_MODULE_TIM3_CH1_PB4+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_TIM3_CH1_PB4+0)
MOVS	R0, #0
BL	_PWM_TIM3_Start+0
;Timers.c,294 :: 		PWM_TIM3_Set_Duty(ratio/2, _PWM_NON_INVERTED, _PWM_CHANNEL2);
LDRH	R0, [SP, #4]
LSRS	R0, R0, #1
MOVS	R2, #1
MOVS	R1, #0
BL	_PWM_TIM3_Set_Duty+0
;Timers.c,295 :: 		PWM_TIM3_Start(_PWM_CHANNEL2, &_GPIO_MODULE_TIM3_CH2_PB5);
MOVW	R1, #lo_addr(__GPIO_MODULE_TIM3_CH2_PB5+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_TIM3_CH2_PB5+0)
MOVS	R0, #1
BL	_PWM_TIM3_Start+0
;Timers.c,298 :: 		TIM3_PSC = 24;              // Set the prescale register to divide by 24+1=25
MOVS	R1, #24
MOVW	R0, #lo_addr(TIM3_PSC+0)
MOVT	R0, #hi_addr(TIM3_PSC+0)
STR	R1, [R0, #0]
;Timers.c,299 :: 		TIM3_ARR = 48000;           // Set the auto-load register to divide by 48000
MOVW	R1, #48000
MOVW	R0, #lo_addr(TIM3_ARR+0)
MOVT	R0, #hi_addr(TIM3_ARR+0)
STR	R1, [R0, #0]
;Timers.c,303 :: 		TIM3_CCR1 = PanVal;         // The count to be loaded into TIM3_CCR1 is 1.5/20*48000=3600
MOVW	R0, #lo_addr(_PanVal+0)
MOVT	R0, #hi_addr(_PanVal+0)
LDRSH	R1, [R0, #0]
MOVW	R0, #lo_addr(TIM3_CCR1+0)
MOVT	R0, #hi_addr(TIM3_CCR1+0)
STR	R1, [R0, #0]
;Timers.c,304 :: 		TIM3_CCR2 = TiltVal;        // Same for TIM3_CCR2
MOVW	R0, #lo_addr(_TiltVal+0)
MOVT	R0, #hi_addr(_TiltVal+0)
LDRSH	R1, [R0, #0]
MOVW	R0, #lo_addr(TIM3_CCR2+0)
MOVT	R0, #hi_addr(TIM3_CCR2+0)
STR	R1, [R0, #0]
;Timers.c,305 :: 		CEN_TIM3_CR1_bit = 1;       // Enable counter
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(CEN_TIM3_CR1_bit+0)
MOVT	R0, #hi_addr(CEN_TIM3_CR1_bit+0)
STR	R1, [R0, #0]
;Timers.c,306 :: 		}
L_end_Timer3_Initialize:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _Timer3_Initialize
_IncPan:
;Timers.c,313 :: 		int IncPan(unsigned int Step){
; Step start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; Step end address is: 0 (R0)
; Step start address is: 0 (R0)
;Timers.c,315 :: 		if (PanVal < 6120){
MOVW	R1, #lo_addr(_PanVal+0)
MOVT	R1, #hi_addr(_PanVal+0)
LDRSH	R2, [R1, #0]
MOVW	R1, #6120
CMP	R2, R1
IT	GE
BGE	L_IncPan19
;Timers.c,316 :: 		PanVal += Step;
MOVW	R2, #lo_addr(_PanVal+0)
MOVT	R2, #hi_addr(_PanVal+0)
LDRSH	R1, [R2, #0]
ADDS	R1, R1, R0
UXTH	R1, R1
; Step end address is: 0 (R0)
STRH	R1, [R2, #0]
;Timers.c,317 :: 		TIM3_CCR1 = PanVal;
SXTH	R2, R1
MOVW	R1, #lo_addr(TIM3_CCR1+0)
MOVT	R1, #hi_addr(TIM3_CCR1+0)
STR	R2, [R1, #0]
;Timers.c,318 :: 		return 0;
MOVS	R0, #0
SXTH	R0, R0
IT	AL
BAL	L_end_IncPan
;Timers.c,319 :: 		}else{
L_IncPan19:
;Timers.c,320 :: 		USB_PutQueue("Pan servo at max\r\n");
MOVW	R1, #lo_addr(?lstr3_Timers+0)
MOVT	R1, #hi_addr(?lstr3_Timers+0)
MOV	R0, R1
BL	_USB_PutQueue+0
;Timers.c,321 :: 		return -1;
MOVW	R0, #65535
SXTH	R0, R0
;Timers.c,323 :: 		}
L_end_IncPan:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _IncPan
_DecPan:
;Timers.c,325 :: 		int DecPan(unsigned int Step){
; Step start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; Step end address is: 0 (R0)
; Step start address is: 0 (R0)
;Timers.c,327 :: 		if (PanVal > 1080){
MOVW	R1, #lo_addr(_PanVal+0)
MOVT	R1, #hi_addr(_PanVal+0)
LDRSH	R1, [R1, #0]
CMP	R1, #1080
IT	LE
BLE	L_DecPan21
;Timers.c,328 :: 		PanVal -= Step;
MOVW	R2, #lo_addr(_PanVal+0)
MOVT	R2, #hi_addr(_PanVal+0)
LDRSH	R1, [R2, #0]
SUB	R1, R1, R0
UXTH	R1, R1
; Step end address is: 0 (R0)
STRH	R1, [R2, #0]
;Timers.c,329 :: 		TIM3_CCR1 = PanVal;
SXTH	R2, R1
MOVW	R1, #lo_addr(TIM3_CCR1+0)
MOVT	R1, #hi_addr(TIM3_CCR1+0)
STR	R2, [R1, #0]
;Timers.c,330 :: 		return 0;
MOVS	R0, #0
SXTH	R0, R0
IT	AL
BAL	L_end_DecPan
;Timers.c,331 :: 		}else{
L_DecPan21:
;Timers.c,332 :: 		USB_PutQueue("Pan servo at min\r\n");
MOVW	R1, #lo_addr(?lstr4_Timers+0)
MOVT	R1, #hi_addr(?lstr4_Timers+0)
MOV	R0, R1
BL	_USB_PutQueue+0
;Timers.c,333 :: 		return -1;
MOVW	R0, #65535
SXTH	R0, R0
;Timers.c,335 :: 		}
L_end_DecPan:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _DecPan
_HomePan:
;Timers.c,337 :: 		int HomePan(void){
SUB	SP, SP, #4
;Timers.c,338 :: 		PanVal = 3600;                // Center position
MOVW	R1, #3600
SXTH	R1, R1
MOVW	R0, #lo_addr(_PanVal+0)
MOVT	R0, #hi_addr(_PanVal+0)
STRH	R1, [R0, #0]
;Timers.c,339 :: 		TIM3_CCR1 = PanVal;
MOVW	R1, #3600
MOVW	R0, #lo_addr(TIM3_CCR1+0)
MOVT	R0, #hi_addr(TIM3_CCR1+0)
STR	R1, [R0, #0]
;Timers.c,340 :: 		return 0;
MOVS	R0, #0
SXTH	R0, R0
;Timers.c,341 :: 		}
L_end_HomePan:
ADD	SP, SP, #4
BX	LR
; end of _HomePan
_SetPan:
;Timers.c,343 :: 		int SetPan(int Value){            // Value can be positive or negative
; Value start address is: 0 (R0)
SUB	SP, SP, #4
; Value end address is: 0 (R0)
; Value start address is: 0 (R0)
;Timers.c,345 :: 		if (Value > 6120){
MOVW	R1, #6120
CMP	R0, R1
IT	LE
BLE	L_SetPan23
; Value end address is: 0 (R0)
;Timers.c,346 :: 		PanVal = 6120;            // Limit a positive Value
MOVW	R2, #6120
SXTH	R2, R2
MOVW	R1, #lo_addr(_PanVal+0)
MOVT	R1, #hi_addr(_PanVal+0)
STRH	R2, [R1, #0]
;Timers.c,347 :: 		} else if (Value < 1080){
IT	AL
BAL	L_SetPan24
L_SetPan23:
; Value start address is: 0 (R0)
CMP	R0, #1080
IT	GE
BGE	L_SetPan25
; Value end address is: 0 (R0)
;Timers.c,348 :: 		PanVal = 1080;            // Limit a negative Value
MOVW	R2, #1080
SXTH	R2, R2
MOVW	R1, #lo_addr(_PanVal+0)
MOVT	R1, #hi_addr(_PanVal+0)
STRH	R2, [R1, #0]
;Timers.c,349 :: 		} else {
IT	AL
BAL	L_SetPan26
L_SetPan25:
;Timers.c,350 :: 		PanVal = Value;           // Can safely use Value
; Value start address is: 0 (R0)
MOVW	R1, #lo_addr(_PanVal+0)
MOVT	R1, #hi_addr(_PanVal+0)
STRH	R0, [R1, #0]
; Value end address is: 0 (R0)
;Timers.c,351 :: 		}
L_SetPan26:
L_SetPan24:
;Timers.c,353 :: 		TIM3_CCR1 = PanVal;           // Set pulse width
MOVW	R1, #lo_addr(_PanVal+0)
MOVT	R1, #hi_addr(_PanVal+0)
LDRSH	R2, [R1, #0]
MOVW	R1, #lo_addr(TIM3_CCR1+0)
MOVT	R1, #hi_addr(TIM3_CCR1+0)
STR	R2, [R1, #0]
;Timers.c,354 :: 		return 0;
MOVS	R0, #0
SXTH	R0, R0
;Timers.c,355 :: 		}
L_end_SetPan:
ADD	SP, SP, #4
BX	LR
; end of _SetPan
_IncTilt:
;Timers.c,359 :: 		int IncTilt(unsigned int Step){
; Step start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; Step end address is: 0 (R0)
; Step start address is: 0 (R0)
;Timers.c,361 :: 		if (TiltVal < 6200){
MOVW	R1, #lo_addr(_TiltVal+0)
MOVT	R1, #hi_addr(_TiltVal+0)
LDRSH	R2, [R1, #0]
MOVW	R1, #6200
CMP	R2, R1
IT	GE
BGE	L_IncTilt27
;Timers.c,362 :: 		TiltVal += Step;
MOVW	R2, #lo_addr(_TiltVal+0)
MOVT	R2, #hi_addr(_TiltVal+0)
LDRSH	R1, [R2, #0]
ADDS	R1, R1, R0
UXTH	R1, R1
; Step end address is: 0 (R0)
STRH	R1, [R2, #0]
;Timers.c,363 :: 		TIM3_CCR2 = TiltVal;
SXTH	R2, R1
MOVW	R1, #lo_addr(TIM3_CCR2+0)
MOVT	R1, #hi_addr(TIM3_CCR2+0)
STR	R2, [R1, #0]
;Timers.c,364 :: 		return 0;
MOVS	R0, #0
SXTH	R0, R0
IT	AL
BAL	L_end_IncTilt
;Timers.c,365 :: 		}else{
L_IncTilt27:
;Timers.c,366 :: 		USB_PutQueue("Tilt servo at max\r\n");
MOVW	R1, #lo_addr(?lstr5_Timers+0)
MOVT	R1, #hi_addr(?lstr5_Timers+0)
MOV	R0, R1
BL	_USB_PutQueue+0
;Timers.c,367 :: 		return -1;
MOVW	R0, #65535
SXTH	R0, R0
;Timers.c,369 :: 		}
L_end_IncTilt:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _IncTilt
_DecTilt:
;Timers.c,371 :: 		int DecTilt(unsigned int Step){
; Step start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; Step end address is: 0 (R0)
; Step start address is: 0 (R0)
;Timers.c,373 :: 		if (TiltVal > 1080){
MOVW	R1, #lo_addr(_TiltVal+0)
MOVT	R1, #hi_addr(_TiltVal+0)
LDRSH	R1, [R1, #0]
CMP	R1, #1080
IT	LE
BLE	L_DecTilt29
;Timers.c,374 :: 		TiltVal -= Step;
MOVW	R2, #lo_addr(_TiltVal+0)
MOVT	R2, #hi_addr(_TiltVal+0)
LDRSH	R1, [R2, #0]
SUB	R1, R1, R0
UXTH	R1, R1
; Step end address is: 0 (R0)
STRH	R1, [R2, #0]
;Timers.c,375 :: 		TIM3_CCR2 = TiltVal;
SXTH	R2, R1
MOVW	R1, #lo_addr(TIM3_CCR2+0)
MOVT	R1, #hi_addr(TIM3_CCR2+0)
STR	R2, [R1, #0]
;Timers.c,376 :: 		return 0;
MOVS	R0, #0
SXTH	R0, R0
IT	AL
BAL	L_end_DecTilt
;Timers.c,377 :: 		}else{
L_DecTilt29:
;Timers.c,378 :: 		USB_PutQueue("Tilt servo at min\r\n");
MOVW	R1, #lo_addr(?lstr6_Timers+0)
MOVT	R1, #hi_addr(?lstr6_Timers+0)
MOV	R0, R1
BL	_USB_PutQueue+0
;Timers.c,379 :: 		return -1;
MOVW	R0, #65535
SXTH	R0, R0
;Timers.c,381 :: 		}
L_end_DecTilt:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _DecTilt
_HomeTilt:
;Timers.c,383 :: 		int HomeTilt(void){
SUB	SP, SP, #4
;Timers.c,384 :: 		TiltVal = 3600;               // Center position
MOVW	R1, #3600
SXTH	R1, R1
MOVW	R0, #lo_addr(_TiltVal+0)
MOVT	R0, #hi_addr(_TiltVal+0)
STRH	R1, [R0, #0]
;Timers.c,385 :: 		TIM3_CCR2 = TiltVal;
MOVW	R1, #3600
MOVW	R0, #lo_addr(TIM3_CCR2+0)
MOVT	R0, #hi_addr(TIM3_CCR2+0)
STR	R1, [R0, #0]
;Timers.c,386 :: 		return 0;
MOVS	R0, #0
SXTH	R0, R0
;Timers.c,387 :: 		}
L_end_HomeTilt:
ADD	SP, SP, #4
BX	LR
; end of _HomeTilt
_SetTilt:
;Timers.c,389 :: 		int SetTilt(int Value){           // Value can be positive or negative
; Value start address is: 0 (R0)
SUB	SP, SP, #4
; Value end address is: 0 (R0)
; Value start address is: 0 (R0)
;Timers.c,391 :: 		if (Value > 6120){
MOVW	R1, #6120
CMP	R0, R1
IT	LE
BLE	L_SetTilt31
; Value end address is: 0 (R0)
;Timers.c,392 :: 		TiltVal = 6120;           // Limit a positive Value
MOVW	R2, #6120
SXTH	R2, R2
MOVW	R1, #lo_addr(_TiltVal+0)
MOVT	R1, #hi_addr(_TiltVal+0)
STRH	R2, [R1, #0]
;Timers.c,393 :: 		} else if (Value < 1080){
IT	AL
BAL	L_SetTilt32
L_SetTilt31:
; Value start address is: 0 (R0)
CMP	R0, #1080
IT	GE
BGE	L_SetTilt33
; Value end address is: 0 (R0)
;Timers.c,394 :: 		TiltVal = 1080;           // Limit a negative Value
MOVW	R2, #1080
SXTH	R2, R2
MOVW	R1, #lo_addr(_TiltVal+0)
MOVT	R1, #hi_addr(_TiltVal+0)
STRH	R2, [R1, #0]
;Timers.c,395 :: 		} else {
IT	AL
BAL	L_SetTilt34
L_SetTilt33:
;Timers.c,396 :: 		TiltVal = Value;          // Can safely use Value
; Value start address is: 0 (R0)
MOVW	R1, #lo_addr(_TiltVal+0)
MOVT	R1, #hi_addr(_TiltVal+0)
STRH	R0, [R1, #0]
; Value end address is: 0 (R0)
;Timers.c,397 :: 		}
L_SetTilt34:
L_SetTilt32:
;Timers.c,399 :: 		TIM3_CCR2 = TiltVal;          // Set pulse width
MOVW	R1, #lo_addr(_TiltVal+0)
MOVT	R1, #hi_addr(_TiltVal+0)
LDRSH	R2, [R1, #0]
MOVW	R1, #lo_addr(TIM3_CCR2+0)
MOVT	R1, #hi_addr(TIM3_CCR2+0)
STR	R2, [R1, #0]
;Timers.c,400 :: 		return 0;
MOVS	R0, #0
SXTH	R0, R0
;Timers.c,401 :: 		}
L_end_SetTilt:
ADD	SP, SP, #4
BX	LR
; end of _SetTilt
