#line 1 "C:/ARM Projects/MINI-M4 for STM32/ServoProj/Timers.c"
#line 1 "c:/arm projects/mini-m4 for stm32/servoproj/timers.h"
#line 9 "c:/arm projects/mini-m4 for stm32/servoproj/timers.h"
void TimerInit();
void TimerCheck();
#line 31 "c:/arm projects/mini-m4 for stm32/servoproj/timers.h"
struct timers {
 unsigned long int TimerField;
 unsigned short int Free;
};
#line 43 "c:/arm projects/mini-m4 for stm32/servoproj/timers.h"
void init_timerpool(void);
#line 52 "c:/arm projects/mini-m4 for stm32/servoproj/timers.h"
unsigned short int get_timer(void);
#line 61 "c:/arm projects/mini-m4 for stm32/servoproj/timers.h"
void free_timer(unsigned short int nbr);
#line 71 "c:/arm projects/mini-m4 for stm32/servoproj/timers.h"
void set_timer(unsigned short int nbr, unsigned long int tout);
#line 80 "c:/arm projects/mini-m4 for stm32/servoproj/timers.h"
unsigned long int check_timer(unsigned short int nbr);
#line 89 "c:/arm projects/mini-m4 for stm32/servoproj/timers.h"
void irqhandler_timer(void);





void Timer6_Initialize(void);
void Timer7_Initialize(void);

void Timer3_Initialize(void);
int IncPan(unsigned int Step);
int DecPan(unsigned int Step);
int HomePan(void);
int SetPan(int Value);

int IncTilt(unsigned int Step);
int DecTilt(unsigned int Step);
int HomeTilt(void);
int SetTilt(int Value);
#line 1 "c:/arm projects/mini-m4 for stm32/servoproj/common.h"
#line 1 "c:/arm projects/mini-m4 for stm32/servoproj/usb_driver.h"
#line 11 "c:/arm projects/mini-m4 for stm32/servoproj/usb_driver.h"
typedef char *pnt;


typedef struct USB_TxStruct {
 unsigned int in;
 unsigned int out;
 pnt q[ 64 ];
}USB_TxStruct;



void USB_Init(void);
void USB_TxQueueInit(void);
void USB_PutQueue(char *msg);
void USB_CheckOut(void);
void USB_CheckIn(void);
#line 11 "C:/ARM Projects/MINI-M4 for STM32/ServoProj/Timers.c"
int TimerFlag = 0;
int Msec = 0;

int PanVal = 3600;
int TiltVal = 3600;
int StepVal = 16;
#line 34 "C:/ARM Projects/MINI-M4 for STM32/ServoProj/Timers.c"
void SystemTimerInterrupt() iv IVT_INT_SysTick ics ICS_AUTO {
 if (COUNTFLAG_bit) {
 irqhandler_timer();

 Msec += 1;
 if (Msec > 999) {
 Msec = 0;
 TimerFlag = 1;
 }
 }
}
#line 48 "C:/ARM Projects/MINI-M4 for STM32/ServoProj/Timers.c"
void TimerInit() {
 init_timerpool();



 NVIC_SYSTICKRVR = 15000;

 NVIC_SYSTICKCVR = 0;
 ENABLE_SYSTICKCSR_bit = 1;
 TICKINT_bit = 1;
}
#line 62 "C:/ARM Projects/MINI-M4 for STM32/ServoProj/Timers.c"
void TimerCheck() {
 if (TimerFlag == 1) {
 TimerFlag = 0;

 }
}
#line 89 "C:/ARM Projects/MINI-M4 for STM32/ServoProj/Timers.c"
struct timers TimerPool[ 10 ];
#line 98 "C:/ARM Projects/MINI-M4 for STM32/ServoProj/Timers.c"
void init_timerpool(void) {
 unsigned short int i;

 for (i=0; i <  10 ; i++) {
 TimerPool[i].TimerField = 0;
 TimerPool[i].Free =  1 ;
 }
}
#line 113 "C:/ARM Projects/MINI-M4 for STM32/ServoProj/Timers.c"
unsigned short int get_timer(void) {
 unsigned short int i;

 for (i=0; i <  10 ; i++) {
 if (TimerPool[i].Free ==  1 ) {
 TimerPool[i].Free =  0 ;
 return i;
 }
 }


 USB_PutQueue("TIMERS: No Timers, Resetting..\r\n");

 SystemReset();
 return (0);
}
#line 136 "C:/ARM Projects/MINI-M4 for STM32/ServoProj/Timers.c"
void free_timer(unsigned short int nbr) {
 if (nbr > ( 10 -1))
 return;

 TimerPool[nbr].Free =  1 ;
}
#line 150 "C:/ARM Projects/MINI-M4 for STM32/ServoProj/Timers.c"
void set_timer(unsigned short int nbr, unsigned long int tout) {
 if (nbr > ( 10 -1))
 return;

 if (TimerPool[nbr].Free ==  1 )
 return;

 TimerPool[nbr].TimerField = tout;
}
#line 166 "C:/ARM Projects/MINI-M4 for STM32/ServoProj/Timers.c"
unsigned long int check_timer(unsigned short int nbr) {
 return TimerPool[nbr].TimerField;
}
#line 176 "C:/ARM Projects/MINI-M4 for STM32/ServoProj/Timers.c"
void irqhandler_timer(void) {
 unsigned short int i;

 for (i=0; i< 10 ; i++) {
 if (TimerPool[i].Free ==  0  && TimerPool[i].TimerField != 0)
 TimerPool[i].TimerField--;
 }
}
#line 199 "C:/ARM Projects/MINI-M4 for STM32/ServoProj/Timers.c"
void Timer6Interrupt() iv IVT_INT_TIM6_DAC ics ICS_AUTO {
 UIF_TIM6_SR_bit = 0;





}
#line 210 "C:/ARM Projects/MINI-M4 for STM32/ServoProj/Timers.c"
void Timer6_Initialize(void) {
 TIM6EN_bit = 1;
#line 232 "C:/ARM Projects/MINI-M4 for STM32/ServoProj/Timers.c"
 TIM6_PSC = 99;
 TIM6_ARR = 10;

 TIM6_CR2bits.MMS = 0x2;
 CEN_TIM6_CR1_bit = 1;
 UIE_TIM6_DIER_bit = 1;
 NVIC_IntEnable(IVT_INT_TIM6_DAC);
}
#line 243 "C:/ARM Projects/MINI-M4 for STM32/ServoProj/Timers.c"
void Timer7Interrupt() iv IVT_INT_TIM7 ics ICS_AUTO {
 UIF_TIM7_SR_bit = 0;
 USB_PutQueue("Timer 7 interrupt\r\n");
}
#line 250 "C:/ARM Projects/MINI-M4 for STM32/ServoProj/Timers.c"
void Timer7_Initialize(void) {
 TIM7EN_bit = 1;
 TIM7_PSC = 5999;
 TIM7_ARR = 10000;
 TIM7_CR2bits.MMS = 0x2;
 CEN_TIM7_CR1_bit = 1;
 UIE_TIM7_DIER_bit = 1;
 NVIC_IntEnable(IVT_INT_TIM7);
}
#line 285 "C:/ARM Projects/MINI-M4 for STM32/ServoProj/Timers.c"
void Timer3_Initialize(void){

 unsigned int Ratio;

 Ratio = PWM_TIM3_Init(50);

 PWM_TIM3_Set_Duty(ratio/2, _PWM_NON_INVERTED, _PWM_CHANNEL1);
 PWM_TIM3_Start(_PWM_CHANNEL1, &_GPIO_MODULE_TIM3_CH1_PB4);

 PWM_TIM3_Set_Duty(ratio/2, _PWM_NON_INVERTED, _PWM_CHANNEL2);
 PWM_TIM3_Start(_PWM_CHANNEL2, &_GPIO_MODULE_TIM3_CH2_PB5);


 TIM3_PSC = 24;
 TIM3_ARR = 48000;



 TIM3_CCR1 = PanVal;
 TIM3_CCR2 = TiltVal;
 CEN_TIM3_CR1_bit = 1;
}
#line 313 "C:/ARM Projects/MINI-M4 for STM32/ServoProj/Timers.c"
int IncPan(unsigned int Step){

 if (PanVal < 6120){
 PanVal += Step;
 TIM3_CCR1 = PanVal;
 return 0;
 }else{
 USB_PutQueue("Pan servo at max\r\n");
 return -1;
 }
}

int DecPan(unsigned int Step){

 if (PanVal > 1080){
 PanVal -= Step;
 TIM3_CCR1 = PanVal;
 return 0;
 }else{
 USB_PutQueue("Pan servo at min\r\n");
 return -1;
 }
}

int HomePan(void){
 PanVal = 3600;
 TIM3_CCR1 = PanVal;
 return 0;
}

int SetPan(int Value){

 if (Value > 6120){
 PanVal = 6120;
 } else if (Value < 1080){
 PanVal = 1080;
 } else {
 PanVal = Value;
 }

 TIM3_CCR1 = PanVal;
 return 0;
}



int IncTilt(unsigned int Step){

 if (TiltVal < 6200){
 TiltVal += Step;
 TIM3_CCR2 = TiltVal;
 return 0;
 }else{
 USB_PutQueue("Tilt servo at max\r\n");
 return -1;
 }
}

int DecTilt(unsigned int Step){

 if (TiltVal > 1080){
 TiltVal -= Step;
 TIM3_CCR2 = TiltVal;
 return 0;
 }else{
 USB_PutQueue("Tilt servo at min\r\n");
 return -1;
 }
}

int HomeTilt(void){
 TiltVal = 3600;
 TIM3_CCR2 = TiltVal;
 return 0;
}

int SetTilt(int Value){

 if (Value > 6120){
 TiltVal = 6120;
 } else if (Value < 1080){
 TiltVal = 1080;
 } else {
 TiltVal = Value;
 }

 TIM3_CCR2 = TiltVal;
 return 0;
}
